Skip to main content
`Ctrl`+`K`

# KSPGetDM

Gets the `DM` that may be used by some preconditioners and that may be used to construct the linear system

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGetDM(KSP ksp, DM *dm)

Not Collective

## Input Parameter

- ksp - the `KSP`

## Output Parameter

- dm - the `DM`

## See Also

KSP: Linear System Solvers, `KSP`, `DM`, `KSPSetDM()`, `KSPSetDMActive()`

## Level

intermediate

## Location

src/ksp/ksp/interface/iterativ.c

## Examples

src/ksp/ksp/tutorials/ex32.c
src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex28.c
src/ksp/ksp/tutorials/ex36.cxx
src/ksp/ksp/tutorials/ex25.c
src/ksp/ksp/tutorials/ex45.c
src/ksp/ksp/tutorials/ex34.c
src/ksp/ksp/tutorials/ex22f.F90
src/ksp/ksp/tutorials/ex45f.F90
src/ksp/ksp/tutorials/ex29.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages